System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Description.NamedItem

A can contain either document-oriented or procedure-oriented information. Procedure-oriented messages contain parameters and return values, while document-oriented messages contain documents.

The class corresponds to a Web Services Description Language (WSDL) message element enclosed by the definitions root element. For more information about WSDL, see the specification at http://www.w3.org/TR/wsdl/.

Provides an abstract definition of data passed by an XML Web service. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Web.Services.Description.ServiceDescriptionFormatExtensionCollection To be added. To be added.

  Gets the associated with this .

- Method
  System.Web.Services.Description.MessagePart `` To be added

  Searches the returned by the property, and returns the named .

  A .

  A string that names the to be returned. 1.0.5000.0 2.0.0.0
- Method
  System.Web.Services.Description.MessagePart[] `` To be added

  Searches the returned by the property and returns an array of type that contains the named instances.

  An array of type .

  An array of names of the instances to be returned. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.Xml.Serialization.XmlAttribute("name")
- Property
  System.Web.Services.Description.MessagePartCollection To be added: an object of type 'MessagePartCollection' To be added

  Gets the collection of the objects contained in the .

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlElement("part")
- Property
  System.Web.Services.Description.ServiceDescription To be added: an object of type 'ServiceDescription' To be added

  Gets the of which the current is a member.

  1.0.5000.0
  2.0.0.0
System.Web.Services.Configuration.XmlFormatExtensionPoint("Extensions")